#include "test_lines_of_action.hpp"
#include <iostream>
#include <map>

using namespace std;

namespace game
{
  test_lines_of_action::test_lines_of_action()
  {    
    play();
  }

  void test_lines_of_action::play()
  {
    lines_of_action loa;
    int player = 0;
    cout << "play one game" << endl;
    while (!loa.end_of_game()) 
      {
	cout << loa << endl;
	cout << loa.player_to_string(player) << " move: ";
	map<string, int> m;
	for (int i = 0; i < loa.number_of_moves(); ++i) 
	  {
	    m[loa.move_to_string(i)] = i;
	  }
	string move;
	cin >> move;
	loa.play(m[move]);
	player = 1 - player;
      }
    cout << loa << endl;
    if (loa.value(0) == 1) cout << loa.player_to_string(0) << " won";
    cout << loa.player_to_string(1) << " won";
    cout << endl;
  }
}
